JBoss API: Class ResourceRemote

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Class ResourceRemote

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject
            |
            +--java.rmi.server.RemoteServer
                  |
                  +--java.rmi.server.UnicastRemoteObject
                        |
                        +--org.jboss.tm.plugins.tyrex.ResourceRemote

All Implemented Interfaces:
  java.rmi.Remote, org.jboss.tm.plugins.tyrex.ResourceRemoteInterface, java.io.Serializable

public class ResourceRemote
extends java.rmi.server.UnicastRemoteObject
implements org.jboss.tm.plugins.tyrex.ResourceRemoteInterface

RMI Remote Proxy that enables the Coordinator on the originating side to control the subordinate transaction

Version:
  $Revision: 1.1 $
Author:
  Anatoly Akkerman
See Also:
  , Serialized Form

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`protected` | `ResourceRemote(org.omg.CosTransactions.Resource resource)`

Method Summary
`void` | `commit_one_phase()`
`void` | `commit()`
`void` | `forget()`
`org.omg.CosTransactions.Vote` | `prepare()`
`void` | `rollback()`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceRemote

    protected ResourceRemote(org.omg.CosTransactions.Resource resource)
                      throws java.rmi.RemoteException

Method Detail

### prepare

    public org.omg.CosTransactions.Vote prepare()
                                         throws org.omg.CosTransactions.HeuristicMixed,
                                                org.omg.CosTransactions.HeuristicHazard,
                                                java.rmi.RemoteException

  Specified by:
    `prepare` in interface `org.jboss.tm.plugins.tyrex.ResourceRemoteInterface`

### rollback

    public void rollback()
                  throws org.omg.CosTransactions.HeuristicCommit,
                         org.omg.CosTransactions.HeuristicMixed,
                         org.omg.CosTransactions.HeuristicHazard,
                         java.rmi.RemoteException

  Specified by:
    `rollback` in interface `org.jboss.tm.plugins.tyrex.ResourceRemoteInterface`

### commit

    public void commit()
                throws org.omg.CosTransactions.NotPrepared,
                       org.omg.CosTransactions.HeuristicRollback,
                       org.omg.CosTransactions.HeuristicMixed,
                       org.omg.CosTransactions.HeuristicHazard,
                       java.rmi.RemoteException

  Specified by:
    `commit` in interface `org.jboss.tm.plugins.tyrex.ResourceRemoteInterface`

### commit_one_phase

    public void commit_one_phase()
                          throws org.omg.CosTransactions.HeuristicHazard,
                                 java.rmi.RemoteException

  Specified by:
    `commit_one_phase` in interface `org.jboss.tm.plugins.tyrex.ResourceRemoteInterface`

### forget

    public void forget()
                throws java.rmi.RemoteException

  Specified by:
    `forget` in interface `org.jboss.tm.plugins.tyrex.ResourceRemoteInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.